Subject: [ipwave] Fwd: Re: easy to remember addresses and /etc/hosts and DNS

From: Alexandre Petrescu <[email-masked]>
Date: Mon, 29 Apr 2019 14:21:52 +0200

Hi IPWAVErs,

About the IPWAVE WG Problem Statement and Use Cases draft
draft-ietf-ipwave-vehicular-networking-08

In 6MAN WG recent discussion, Kerry Lynn indicated it would be good to 
consider the works of the WG "Extensions for Scalable DNS Service 
Discovery (dnssd).

I know DNS-SD is already mentioned in the Problem Statement draft.

I know that Vehicle-to-Vehicle is already mentioned in that draft too.

It would be good to consider what problems arise when each car in V2V 
has a DNS server and DNS-SD is to be used.

My intuition is that the discovey of DNS servers in a multi-subnet 
topology like V2V requires the proper working of an IP multicast routing 
protocol.  This might have some problems with V2V settings where the 
cars dont have GUAs nor ULAs on the car egress OCB interface.  It might 
be that DNS-SD may not work as expected on a multi-subnet V2V topology, 
even though it works ok on a multi-subnet topology with Ethernets in 
Enterprise.

But, it is only an intuition.  I never tried DNS-SD in practice.

Alex

-------- Message transféré --------
Sujet : 	Re: easy to remember addresses and /etc/hosts and DNS
Date : 	Fri, 26 Apr 2019 12:38:42 -0400
De : 	Kerry Lynn <[email-masked]>
Pour : 	Alexandre Petrescu <[email-masked]>
Copie à : 	Mark Smith <[email-masked]>, 6man WG <[email-masked]>

On Fri, Apr 26, 2019 at 7:36 AM Alexandre Petrescu 
<[email-masked] <mailto:[email-masked]>> wrote:

     Le 26/04/2019 à 12:05, Mark Smith a écrit :
      > On Fri, 26 Apr 2019 at 19:54, Alexandre Petrescu
      > <[email-masked]
     <mailto:[email-masked]>> wrote:
      >>
      >>
      >>
      >> Le 26/04/2019 à 11:46, Mark Smith a écrit :
      >>> On Fri, 26 Apr 2019 at 19:28, Alexandre Petrescu
      >>> <[email-masked]
     <mailto:[email-masked]>> wrote:
      >>>>
      >>>>
      >>>>
      >>>> Le 26/04/2019 à 06:31, Brian E Carpenter a écrit :
      >>>>>
      >>>>>
      >>>>> Regards Brian Carpenter
      >>>>>
      >>>>> On 25-Apr-19 21:48, Philip Homburg wrote: ...
      >>>>>> The main example you gave is somebody typing IPv6 literals 
while
      >>>>>> sitting in a car.
      >>>>>
      >>>>> Indeed, we said from the very beginning (I mean 1994) that users
      >>>>> should never be required to type in IPv6 addresses.
      >>>>>
      >>>>> Is this so hard to avoid?
      >>>>
      >>>> It may be easy to avoid typing IPv6 addresse when DNS was
     available.
      >>>>
      >>>> But think about three cars in a covoy; the convoy is
     disconnected from
      >>>> the IPv6 Internet, yet fully connected on IPv6 between all
     computers in
      >>>> the convoy.  Which of the cars should host the DNS server?
      >>>>
      >>>
      >>> All of them.
      >>
      >> Mark,
      >>
      >> Thank you very much for the suggestion.  I will consider it.
      >>
      >> I would like to ask you: is multicast DNS (mDNS) working on a 
single
      >> subnet only?  Or does it work across subnets?
      >>
      >
      > I'm not an expert in mDNS or related, have just read enough to know
      > what problem they're solving and (very) roughly how it works.
      >
      > DNS Service Discovery is intended to convey that information
     across subnets:
      > http://www.dns-sd.org/

     I suppose DNS Service Discovery works ok on IPv6, and over multiple
     subnets, and that it relies on the proper use of IPv6 multicast routing
     protocols.  I never tried IPv6 multicast routing protocols on links
     involving OCB (a kind of stripped ad-hoc WiFi at 5.9GHz).

     I suppose the use of DNS resolver address in RA is also an option in
     this space.  I have tried this DNS-in-RA and it works ok.

     Whether DNS-in-RA, DNS-SD and mDNS should be used in cars, and how, can
     be a subject of debate.  There is a Problem Statement draft in the
     IPWAVE WG that lists in section "DNS Naming Service" some considered
     problems.

     Until these things get fixed (how to use DNS in car convoy?) I need the
     manual configuration of easy to remember link-local addresses

     When DNS works in car convoys, I expect other inconvenients using
     name-to-address mappings compared to IP address literals.

     I might need to update the DNS servers' files with new IPv6 Link-Local
     address to name mappings, whenever a faulty interface is replaced, or
     when USB interface keys are moved, or when 1Gb Ethernet cards are
     migrated to 10Gb Ethernet.

     If I am to update files, why not updating rather the computer startup
     scripts (not DNS)?  These computer startup scripts are present in all
     computers, including embedded, as unencumbered and open source.

     Second,

     If I use DNS names I must remember a name like:
     front-Lead-First (means the IP address on the front bumper of the
                         Follower, in the subnet between Lead and First
                         Follower)
     rear-Lead-First
     front-First-Second
     rear-First-Second
     etc.
     These names are too long to type.  So I would abbreviate them to:
     flf
     rlf
     ffs
     rfs
     etc.

     These flf, rlf, etc are no less cryptic than a literal like
     fe80:1::1 is.

     The short IP address literals are loved and understood by more people.

      >> (because the numerous computers in these three cars are not all 
on a
      >> single subnet; they are all interconnected with IP, but there are
      >> multiple subnets with routers in between).
      >>
      >
      > There may be other options that better suit or can be better made to
      > suit what you're trying to do, such as the work done in the
     Homenet or
      > the ANIMA Working Groups.
      >
      > Autonomic networking (the focus of ANIMA WG), sounds like it 
might be
      > working on solutions to your problem domain.
      >
      > "Autonomic networking refers to the self-managing characteristics
      > (configuration, protection, healing, and optimization) of 
distributed
      > network elements, adapting to unpredictable changes while hiding
      > intrinsic complexity from operators and users."

     Yes, they should be considered.

     I will make this suggestion in the IPWAVE WG for the Problem Statement
     draft.

     Alex

      >
      >
      > Regards,
      > Mark.
      >
      >> Alex
      >>
      >>>
      >>> http://www.multicastdns.org/
      >>>
      >>> Multicast DNS
      >>> https://www.ietf.org/rfc/rfc6762.txt
      >>>
      >>> There's also a good book on it:
      >>>
      >>> ""Zero Configuration Networking: The Definitive Guide
      >>> https://www.amazon.com/gp/product/0596101007
      >>>
      >>>
      >>> A number of implementations:
      >>>
      >>> https://www.avahi.org/ - Linux
      >>>
      >>> https://developer.apple.com/bonjour/ - Apple, Windows
      >>>
      >>> And if you want to know what inspired it,
      >>>
      >>> "Requirements for a Protocol to Replace the AppleTalk Name Binding
      >>> Protocol (NBP)"
      >>> https://tools.ietf.org/html/rfc6760
      >>>
      >>> This is why you need to explain your problem, not just what you
     think
      >>> is the solution. You'll get much quicker answers.
      >>>
      >>> <snip>
      >>>
      >

Alex,

You might want to read https://datatracker.ietf.org/wg/dnssd/about/

Kerry